from enum import Enum
from dataclasses import dataclass
from science_signal.signal import Signal
from backscattering_analyzer.movements import Movements


class AcquisitionType(Enum):
    REFERENCE = 0
    EXCITED = 1


@dataclass
class Acquisition:
    """
    A data acquisition with a specific time and duration
    """

    movements: Movements
    sensibility: Signal
    type: AcquisitionType
    time: float
    duration: float
